import type { ILeagueSchedulePreviewPresenter } from '@core/racing/application/presenters/ILeagueSchedulePreviewPresenter';
import type { LeagueSchedulePreviewDTO } from '@core/racing/application/dto/LeagueScheduleDTO';

export class LeagueSchedulePreviewPresenter implements ILeagueSchedulePreviewPresenter {
  private data: LeagueSchedulePreviewDTO | null = null;

  present(data: LeagueSchedulePreviewDTO): void {
    this.data = data;
  }

  getData(): LeagueSchedulePreviewDTO | null {
    return this.data;
  }
}